% ------------------
% UBB beamer theme
% ------------------

% set footline style
\def\beamer@theme@footline@authorpagenumber{
  \defbeamertemplate*{footline}{miniframes theme}
  {%
    \begin{beamercolorbox}[colsep=1.5pt]{upper separation line foot}
    \end{beamercolorbox}
    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,%
      leftskip=.3cm,rightskip=.3cm plus1fil]{title in head/foot}%
      \leavevmode{\usebeamerfont{title in head/foot}\inserttitle}%
      \hfill%
      {\usebeamerfont{author in head/foot}\usebeamercolor[fg]{author in head/foot}\insertsubtitle}%
    \end{beamercolorbox}%
    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}
    \end{beamercolorbox}
  }
}


% set theme and footline style
\useoutertheme[footline=authorpagenumber, subsection=false]{miniframes}
\useinnertheme{circles}
\usecolortheme{whale}
\usecolortheme{orchid}


% set margins
\RequirePackage{enumitem}
\def\labelenumi{\arabic{enumi}.}
\setbeamersize{text margin left=8mm,text margin right=6mm}
\setitemize{leftmargin=6mm,label=\usebeamerfont*{itemize item}%
  \usebeamercolor[fg]{itemize item}
  \usebeamertemplate{itemize item}}


% define colors
\definecolor{UbbBrown}{rgb}{0.6,0.25,0.1}
\definecolor{UbbDarkBrown}{rgb}{0.2,0.05,0}
\definecolor{UbbRed}{rgb}{0.5,0,0}

% set colors
\setbeamercolor{structure}{fg=UbbBrown}
\setbeamercolor{titlelike}{parent=structure}
\setbeamercolor{frametitle}{fg=UbbBrown}
\setbeamercolor{title}{fg=UbbBrown}
\setbeamercolor{subtitle}{fg=UbbRed}
\setbeamercolor{author}{fg=black}
\setbeamercolor{date}{fg=black}
\setbeamercolor{normal text}{fg=UbbDarkBrown}

% bold text red
\renewcommand{\textbf}[1]{\textcolor{UbbRed}{\bfseries #1}}


% set URL style and color
\usepackage{hyperref}
\hypersetup{
    colorlinks,
    urlcolor={UbbBrown},
    citecolor={UbbBrown},
    linkcolor={UbbBrown}
}


% set font sizes
\setbeamerfont{title}{size=\LARGE, shape=\itshape}
\setbeamerfont{subtitle}{size=\large, shape=\normalfont}
\setbeamerfont{author}{size=\small}
\setbeamerfont{role}{size=\footnotesize}
\setbeamerfont{module}{size=\small}
\setbeamerfont{frametitle}{size=\LARGE}


% set title page template
\setbeamertemplate{title page}{%
  \begin{center}
    \begin{figure}
      \centering
      \includegraphics[width=3cm]{babeslogo}
    \end{figure}
    \vspace{0.5cm}

    \begin{beamercolorbox}{title}
      \centering
      \usebeamerfont{title}\inserttitle
    \end{beamercolorbox}
    \vspace{0.2cm}
    \begin{beamercolorbox}{subtitle}
      \centering
      \usebeamerfont{subtitle}\insertsubtitle
    \end{beamercolorbox}
    \vspace{0.5cm}
    \begin{beamercolorbox}{author}
      \centering
      \usebeamerfont{author}\insertauthor
    \end{beamercolorbox}
    \vspace{1cm}
    \begin{beamercolorbox}{date}
      \centering
      \usebeamerfont{date}\insertdate
    \end{beamercolorbox}
  \end{center}
}


% caption text ragged
\usepackage{ragged2e}
\setbeamertemplate{caption}{\raggedright\insertcaption\par}


% set figure caption style
\RequirePackage[font=scriptsize, skip=0.1cm]{caption}
\captionsetup[figure]{labelformat=empty}
\setlength{\belowcaptionskip}{-0.5cm}


% set fonts
\RequirePackage{fontspec}
\setsansfont[Ligatures=TeX,
             Extension=.otf,
             UprightFont=*R,
             ItalicFont=*RI,
             BoldFont=*RB,
             BoldItalicFont=*RBO]{LinBiolinum_}
\setmonofont[Ligatures=NoCommon,
             BoldFont=FiraMono-Bold.ttf,
             Scale=0.8]{FiraMono-Regular.ttf}

% set global line spacing
%\RequirePackage{setspace}
%\setstretch{0.9}

% create some macros for colors
\newcommand{\red}[1]{\textcolor{red!75!black}{#1}}
\newcommand{\green}[1]{\textcolor{green!70!black}{#1}}
\newcommand{\blue}[1]{\textcolor{blue!70!black}{#1}}
\newcommand{\cyan}[1]{\textcolor{cyan!75!black}{#1}}
\newcommand{\magenta}[1]{\textcolor{magenta!50!black}{#1}}
\newcommand{\yellow}[1]{\textcolor{yellow!65!black}{#1}}
\newcommand{\gray}[1]{\textcolor{gray!65!black}{#1}}
\newcommand{\grey}[1]{\textcolor{gray!65!black}{#1}}

\newcommand{\redb}[1]{\red{\textbf{#1}}}
\newcommand{\greenb}[1]{\green{\textbf{#1}}}
\newcommand{\blueb}[1]{\blue{\textbf{#1}}}
\newcommand{\cyanb}[1]{\cyan{\textbf{#1}}}
\newcommand{\magentab}[1]{\magenta{\textbf{#1}}}
\newcommand{\yellowb}[1]{\yellow{\textbf{#1}}}
\newcommand{\grayb}[1]{\gray{\textbf{#1}}}
\newcommand{\greyb}[1]{\grey{\textbf{#1}}}

\newcommand{\redi}[1]{\red{\emph{#1}}}
\newcommand{\greeni}[1]{\green{\emph{#1}}}
\newcommand{\bluei}[1]{\blue{\emph{#1}}}
\newcommand{\cyani}[1]{\cyan{\emph{#1}}}
\newcommand{\magentai}[1]{\magenta{\emph{#1}}}
\newcommand{\yellowi}[1]{\yellow{\emph{#1}}}
\newcommand{\grayi}[1]{\gray{\emph{#1}}}
\newcommand{\greyi}[1]{\grey{\emph{#1}}}

\newcommand{\redv}[1]{\red{\texttt{#1}}}
\newcommand{\greenv}[1]{\green{\texttt{#1}}}
\newcommand{\bluev}[1]{\blue{\texttt{#1}}}
\newcommand{\cyanv}[1]{\cyan{\texttt{#1}}}
\newcommand{\magentav}[1]{\magenta{\texttt{#1}}}
\newcommand{\yellowv}[1]{\yellow{\texttt{#1}}}
\newcommand{\grayv}[1]{\gray{\texttt{#1}}}
\newcommand{\greyv}[1]{\grey{\texttt{#1}}}